import request from '@/utils/request'

// 查询消息管理列表
export function listNotice(query) {
  return request({
    url: '/major/notice/list',
    method: 'get',
    params: query
  })
}

// 查询消息管理详细
export function getNotice(noticeId) {
  return request({
    url: '/major/notice/' + noticeId,
    method: 'get'
  })
}

// 新增消息管理
export function addNotice(data) {
  return request({
    url: '/major/notice',
    method: 'post',
    data: data
  })
}

// 修改消息管理
export function updateNotice(data) {
  return request({
    url: '/major/notice',
    method: 'put',
    data: data
  })
}

// 删除消息管理
export function delNotice(noticeId) {
  return request({
    url: '/major/notice/' + noticeId,
    method: 'delete'
  })
}
